Subject: [RTG-DIR] FW: Routing-Directory Review of "A Framework for the Control of Wavelength Switched Optical Networks (WSON) with Impairments" - draft-ietf-ccamp-wson-impairments-07.txt

From: Leeyoung <[email-masked]>
Date: Fri, 21 Oct 2011 12:31:30 +0000

FYI.

-----Original Message-----
From: Leeyoung 
Sent: Friday, October 21, 2011 7:25 AM
To: 'Acee Lindem'
Cc: [email-masked]'; [email-masked]'; [email-masked]'; [email-masked]'
Subject: RE: Routing-Directory Review of "A Framework for the Control of Wavelength Switched Optical Networks (WSON) with Impairments" - draft-ietf-ccamp-wson-impairments-07.txt

Hi Acee,  

Thanks a lot for your feedback. I think we are merging. Please see in-line for my comment.
If you are satisfied with these changes, I will update the revision. 

Thanks,
Young

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]] 
Sent: Thursday, October 13, 2011 9:26 AM
To: Leeyoung
Subject: Re: Routing-Directory Review of "A Framework for the Control of Wavelength Switched Optical Networks (WSON) with Impairments" - draft-ietf-ccamp-wson-impairments-07.txt

Hi Young, 

On Oct 11, 2011, at 9:09 PM, Leeyoung wrote:

> Hi Acee,
> 
> Thanks for your thorough review and suggestions. Please see in-line if my response would satisfy you. Before I edit, I just wanted to know if these would be good enough for you.
> 
> Thanks.
> 
> Young
> 
> -----Original Message-----
> From: Acee Lindem [mailto:[email-masked]]
> Sent: Monday, October 10, 2011 12:16 PM
> To: Greg Bernstein; Huawei danli; Leeyoung; Giovanni Martinelli
> Cc: [email-masked]; [email-masked]; Adrian Farrel
> Subject: Routing-Directory Review of "A Framework for the Control of Wavelength Switched Optical Networks (WSON) with Impairments" - draft-ietf-ccamp-wson-impairments-07.txt
> 
> Hello,
> 
> I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://www.ietf.org/iesg/directorate/routing.html
> 
> Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
> 
> 
> Document: draft-ietf-ccamp-wson-impairments-07.txt
> Reviewer: Acee Lindem
> Review Date: 2011-10-10
> IETF LC End Date:  TBD
> Intended Status: Informational
> 
> Summary:
> I have no major concerns about this document that I think must be
> resolved before publication. I have some suggestions below.
> 
> Major Issues:
> No major issues found.
> 
> Minor Issues:
> The document is somewhat hard to read and I've included some editorial suggestions below. Some of tthese are subjective and style based. For example, I prefer a comma after a prepositional phase preceding an independent clause. Other suggested edits are obvious typos (so you'll need to look at them all ;^).
> 
> Additionally, I'd suggest the following:
> 
>  Abstract: Mention the components included in the framework in the abstract and introduction
>            to set the context for the remainder of the document.
> 
> Current Abstract:
> 
> As an optical signal progresses along its path it may be altered by the various physical processes in the optical fibers and devices it encounters. When such alterations result in signal degradation, these processes are usually referred to as "impairments". These physical characteristics may be important constraints to consider when using a GMPLS control plane to support path setup and maintenance in wavelength switched optical networks.
> This document provides a framework for applying GMPLS protocols and the PCE architecture to support Impairment Aware Routing and Wavelength Assignment (IA-RWA) in wavelength switched optical networks. This document does not define optical data plane aspects; impairment parameters, measurement of, or assessment and qualification of a route, but rather it describes the architectural and information components for protocol solutions.
> 
> Suggested Abstract:
> 
> As an optical signal progresses along its path it may be altered by the various physical processes in the optical fibers and devices it encounters. When such alterations result in signal degradation, these processes are usually referred to as "impairments". These physical characteristics may be important constraints to consider when using a GMPLS control plane to support path setup and maintenance in wavelength switched optical networks.
> This document provides a framework for applying GMPLS protocols and the PCE architecture to support Impairment Aware Routing and Wavelength Assignment (IA-RWA) in wavelength switched optical networks. Specifically, this documents discusses key computing constraints, scenarios and impairment estimation processes. This document does not define optical data plane aspects; impairment parameters, measurement of, or assessment and qualification of a route, but rather it describes the architectural and information components for protocol solutions.

That's better - do you think it should mention the architectural processes: Routing, Wavelength Assignment, and Impairment Validation.  

YOUNG>> I will add these processes in the abstract. The new text will look like as follows:

As an optical signal progresses along its path it may be altered by the various physical processes in the optical fibers and devices it encounters. When such alterations result in signal degradation, these processes are usually referred to as "impairments". These physical characteristics may be important constraints to consider when using a GMPLS control plane to support path setup and maintenance in wavelength switched optical networks.
This document provides a framework for applying GMPLS protocols and the PCE architecture to support Impairment Aware Routing and Wavelength Assignment (IA-RWA) in wavelength switched optical networks. Specifically, this documents discusses key computing constraints, scenarios and architectural processes: Routing, Wavelength Assignment, and Impairment Validation. This document does not define optical data plane aspects; impairment parameters, measurement of, or assessment and qualification of a route, but rather it describes the architectural and information components for protocol solutions.

> 
>  2 - Include "black link".
> 
> Black links: Black links refer to tributary interfaces where only link characteristics are defined. This approach enables transverse compatibility at the single-channel point using a direct wavelength-multiplexing configuration.

Ok. 

> 
>  4.1.1, Scenario D - The detailed case is designated as out of scope yet it is referred to
>  in later sections. For example, section 4.3.
> 
> I am not sure where in Section 4.3 we are referring to Scenario D. All the discussions in section 4.3 are actually in the spirit of Scenario C - approximated impairment estimation.

Then it is unclear to me what the difference is between IV and IV-Detailed in the remainder of the document. 

YOUNG>> I realized that Scenario D - Detailed is a confusing term since we use IV-Detailed in the remainder of the document. In section 4.1.1. Scenario D - the detailed case is now changed to "Accurate Impairment Computation." 

YOUNG>> I also added the following text: "All the variations of impairment validation discussed in this section is based on Scenario C (Approximated Impairment Estimation) as discussed in Section 4.1.1." is section 4.2. to make sure we are discussing all IV discussion in the spirit of Scenario C. 

> 
>  4.1.3 - What is the Q factor?
> 
> The Q-factor provides a qualitative description of the receiver performance. It is a function of the signal to noise ratio (optical). The Q-factor suggests the minimum SNR required to obtain a specific BER for a given signal. (Would you like to suggest Q-factor in the definition?)

Yes - that would be good. 

> 
>  4.2 - Explain what you mean by "at-most K paths". Define K.
> 
> K refers to the "K" value in K-shortest path algorithm.

I see I get a lot of Google hits on this but I had never heard of it before and I work on SPF and LFA. Could you add a definition and, possibly, a reference? 

YOUNG>> Yes. I will add the definition and reference as follows:

K-shortest path algorithm refers to an algorithm that finds multiple (k) short paths connecting the source and the destination in a graph (allowing repeated vertices and edges in the paths). 

D. Eppstein. "Finding the k shortest paths," 35th IEEE Symp. Foundations of Comp. Sci., Santa Fe, 1994, pp. 154-165.

> 
>  4.2 - Why is there assumed to be one IV process and multiple RWA processes?
> 
> Actually section 4.2 shows a number of options as to how to do with R and WA with respect to IV. R and WA can be combined before IV; or sequentially R, WA and IV; or once R is determined WA can be done in a distributed fashion with IV on a hop by hop.
> 
>  General: Would it make sense to include a discussion of the order in which
>           PCE, WA, and IV should be done to avoid redundant computation?
> 
> Figures 5 and 6 show each entity that involves R, WA and IV (detail, approximation) respectively. I thought these figures show non-redundant computation in a sequential manner.

It is implied and maybe obvious to those familiar with optical path computation. However, it occurred to me that other functional distributions wouldn't work (at least not without lots of inefficiency ;^). 

YOUNG>> Actually I will add the following text in Section 5.4.3. "Please note that there is some inefficiency by separating the IV-Candidates-PCE from the IV-Detailed-PCE from a message flow perspective in order to achieve a high degree of potential optimality." 

Thanks,
Acee 

> 
> Editorial Comments:
> 
> Missing acronyms expansions: ADM, NEs, OSNR, DGD, PXCs, and OADMs
> 

YOUNG>> I will add the following acronyms:

ADM: Add Drop Multiplexer
NEs: Network Elements
OSNR: Optical Signal to Noise Ratio
DGD: differential group delay
PXCs: Photonic Cross Connects
OADMs: Optical Add Drop Multiplexers
> 
> Acee-Lindems-MacBook-Pro:Desktop ealflin$ diff draft-ietf-ccamp-wson-impairments-07.txt.orig draft-ietf-ccamp-wson-impairments-07.txt
> 136c136
> <    As an optical signal progresses along its path it may be altered by
> ---
>>   As an optical signal progresses along its path, it may be altered by
> 142c142
> <    used, the types and placement of various optical devices and the
> ---
>>   used, the types and placement of various optical devices, and the
> 149c149
> <    a WSON, a combination of path continuity, resource availability and
> ---
>>   a WSON, a combination of path continuity, resource availability, and
> 157c157
> <    that use time division multiplexing, and WDM. The Path Computation
> ---
>>   that use time division multiplexing and WDM. The Path Computation
> 189c189
> <    CWDM: Coarse Wavelength Division Multiplexing.
> ---
>>   CWDM: Coarse Wavelength Division Multiplexing
> 191c191
> <    DWDM: Dense Wavelength Division Multiplexing.
> ---
>>   DWDM: Dense Wavelength Division Multiplexing
> 193c193
> <    FOADM: Fixed Optical Add/Drop Multiplexer.
> ---
>>   FOADM: Fixed Optical Add/Drop Multiplexer
> 195c195
> <    GMPLS: Generalized Multi-Protocol Label Switching.
> ---
>>   GMPLS: Generalized Multi-Protocol Label Switching
> 204c204
> <    OXC: Optical cross connect. An optical switching element in which a
> ---
>>   OXC: Optical cross connect - An optical switching element in which a
> 207c207
> <    PCC: Path Computation Client.  Any client application requesting a
> ---
>>   PCC: Path Computation Client - Any client application requesting a
> 210c210
> <    PCE: Path Computation Element.  An entity (component, application, or
> ---
>>   PCE: Path Computation Element - An entity (component, application, or
> 219c219
> <    PCEP: PCE Communication Protocol. The communication protocol between
> ---
>>   PCEP: PCE Communication Protocol - The communication protocol between
> 222c222
> <    ROADM: Reconfigurable Optical Add/Drop Multiplexer. A wavelength
> ---
>>   ROADM: Reconfigurable Optical Add/Drop Multiplexer - A wavelength
> 226c226
> <    RWA: Routing and Wavelength Assignment.
> ---
>>   RWA: Routing and Wavelength Assignment
> 247c247
> <    WDM: Wavelength Division Multiplexing.
> ---
>>   WDM: Wavelength Division Multiplexing
> 281c281
> <       cross connects to increase network flexibility. In such cases
> ---
>>      cross connects to increase network flexibility. In such cases,
> 335,336c335,336
> <    contains transparent elements and electro-optical elements such as
> <    OEO regenerations. In such networks a generic light path can go
> ---
>>   contain transparent elements and electro-optical elements such as
>>   OEO regenerations. In such networks, a generic light path can go
> 341,342c341,342
> <   (i)  wavelength conversion to assist RWA to avoid wavelength blocking.
> <      This is the impairment free case covered by [RFC6163].
> ---
>>  (i) Due to wavelength conversion to assist RWA to avoid wavelength
>>     blocking. This is the impairment free case covered by [RFC6163].
> 344,345c344,345
> <   (ii)  the optical signal without regeneration would be too degraded
> <      to meet end to end BER requirements. This is the case when RWA
> ---
>>  (ii) The optical signal without regeneration would be too degraded
>>     to meet end-to-end BER requirements. This is the case when RWA
> 349c349
> < In the latter case an optical path can be seen as a set of transparent
> ---
>> In the latter case, an optical path can be seen as a set of transparent
> 371,372c371,372
> <    constraints that an impairment aware optical control plane may have
> <    to operate under. These requirements and constraints motivate the IA-
> ---
>>   constraints under which an impairment aware optical control plane may have
>>   to operate. These requirements and constraints motivate the IA-
> 396,397c396,397
> <    In this case impairments are only taken into account during network
> <    design and after that, for example during optical path computation,
> ---
>>   In this case, impairments are only taken into account during network
>>   design.  After that, for example during optical path computation,
> 452c452
> <    channel interfaces to multi-channel DWDM systems only the single
> ---
>>   channel interfaces to multi-channel DWDM systems, only the single
> 456c456
> <    available. Note however the overall impact of a black link at the
> ---
>>   available. However, note that the overall impact of a black link at the
> 461c461
> <    spans and to estimate the validity of optical paths. For example,
> ---
>>   spans in order to estimate the validity of optical paths. For example,
> 468c468
> <    for optical networks with "black links" (path) could not be performed
> ---
>>   for optical networks with "black links" in the path could not be performed
> 473c473
> <    entity. Such a vendor specific IA computation, could utilize
> ---
>>   entity. Such a vendor specific IA computation could utilize
> 477c477
> <    In the following the term "black links" will be used to describe
> ---
>>   In the following, the term "black links" will be used to describe
> 479c479
> <    networks. From the control plane perspective the following options
> ---
>>   networks. From the control plane perspective, the following options
> 493,495c493,495
> <       computation entity. The difficulty here is for larger networks
> <       such a list of paths along with any wavelength constraints could
> <       get unmanageably large.
> ---
>>      computation entity. The difficulty here is that such a list of
>>      paths along with any wavelength constraints could get unmanageably
>>      large as the size of the network increases.
> 497,498c497,498
> <    2. The authority in control of the "black links" could provide a PCE
> <       like entity a list of viable paths/wavelengths between two
> ---
>>   2. The authority in control of the "black links" could provide a
>>      PCE-like entity that returns a list of viable paths/wavelengths between two
> 500,501c500,501
> <       and can reduce the scaling issue previously mentioned. Such a PCE
> <       like entity would not need to perform a full RWA computation,
> ---
>>      and can reduce the scaling issue previously mentioned. Such a PCE-like
>>      entity would not need to perform a full RWA computation,
> 563c563
> <    Starting from functional block on the left the Optical Interface
> ---
>>   Starting from functional block on the left, the Optical Interface
> 565,567c565,567
> <    defines the properties at the path end points. Even the no-impairment
> <    case like scenario B in section 4.1.1 needs to consider a minimum set
> <    of interface characteristics. In such case only a few parameters used
> ---
>>   defines the properties at the path end-points. Even the impairment-free
>>   case, like scenario B in section 4.1.1, needs to consider a minimum set
>>   of interface characteristics. In such case, only a few parameters used
> 569,570c569,570
> <    [RFC6163]). For the impairment-aware case these parameters may be
> <    sufficient or not depending on the accepted level of approximation
> ---
>>   [RFC6163]). For the impairment-aware case, these parameters may or may
>>   not be sufficient depending on the accepted level of approximation
> 572c572
> <    consider a set of interface parameters during an Impairment
> ---
>>   consider a set of interface parameters during the Impairment
> 580,582c580,582
> <    Options for this will be given in the next section on architectural
> <    alternatives. This block implementation (e.g. through routing,
> <    signaling or PCE) may influence the way the control plane distributes
> ---
>>   Architectural alternatives to acommplish this are provided in
>>    section 4.2. This block implementation (e.g., through routing,
>>   signaling, or PCE) may influence the way the control plane distributes
> 586,587c586,587
> <    Depending on the IA level of approximation this function can be more
> <    or less complex. For example in case of no IA only the signal class
> ---
>>   Depending on the IA level of approximation, this function can be more
>>   or less complex. For example, in the case of no IA, only the signal class
> 599c599
> <    taken in the physical modeling (worst-case, statistical or based on
> ---
>>   taken in the physical modeling (worst-case, statistical, or based on
> 602,603c602,603
> <    marking some paths as not-feasible while they are very likely to be
> <    feasible in reality.
> ---
>>   marking some paths as not-feasible which are very likely to be, in
>>   reality, feasible.
> 609c609
> <    From a control plane point of view optical impairments are additional
> ---
>>   From a control plane point of view, optical impairments are additional
> 614c614
> <    Validation (estimation) (IV).
> ---
>>   Validation (IV), i.e., estimation.
> 618c618
> <    point of view the following three forms of impairment validation will
> ---
>>   point of view, the following three forms of impairment validation will
> 623c623
> <    In this case an Impairment Validation (IV) process furnishes a set of
> ---
>>   In this case, an Impairment Validation (IV) process furnishes a set of
> 630c630
> <    discloses optical impairment information. Note that that this case
> ---
>>   discloses optical impairment information. Note that this case
> 634c634
> <    In this case the control plane simply makes use of candidate paths
> ---
>>   In this case, the control plane simply makes use of candidate paths
> 636c636
> <    is when the path validity is assessed within the control plane. The
> ---
>>   is to assess the path validity within the control plane. The
> 656c656
> <    In this case an IV process is given a particular path and wavelength
> ---
>>   In this case, an IV process is given a particular path and wavelength
> 667c667
> <    In this case impairments to a path are computed at a single entity.
> ---
>>   In this case, impairments to a path are computed at a single entity.
> 669c669
> <    gathered from network elements. Depending how information is gathered
> ---
>>   gathered from network elements. Depending how information is gathered,
> 676c676
> <    as OSNR, dispersion, DGD, etc. may be accumulated along the path via
> ---
>>   as OSNR, dispersion, DGD, etc., may be accumulated along the path via
> 679c679
> <    measures reach the destination node a decision on the impairment
> ---
>>   measures reach the destination node, a decision on the impairment
> 685,686c685,686
> <    The Control Plane must not preclude the possibility to operate one or
> <    all the above cases concurrently in the same network. For example
> ---
>>   The Control Plane must not preclude the possibility to concurrently
>>   perform one or all the above cases in the same network. For example,
> 690c690
> <    same network however the control plane may compute a path outside the
> ---
>>   same network, however, the control plane may compute a path outside the
> 695c695
> <    computation architectures and reviews some of their respective
> ---
>>   computation architectures and review some of their respective
> 708c708
> <    solutions can be achieved if the path computation entity (PCE) can
> ---
>>   solutions can be achieved if the Path Computation Entity (PCE) can
> 710c710
> <    wavelength assignment and impairment validation.
> ---
>>   wavelength assignment, and impairment validation.
> 718c718
> <    Separating the processes of routing, WA and/or IV can reduce the need
> ---
>>   Separating the processes of routing, WA, and/or IV can reduce the need
> 721c721
> <    [RFC6163]. In addition, as was discussed some impairment information
> ---
>>   [RFC6163]. In addition, as was discussed, some impairment information
> 724c724
> <    precision it may be advantageous to offload this computation to a
> ---
>>   precision, it may be advantageous to offload this computation to a
> 735c735
> <       validation is typically wavelength dependent hence combining WA
> ---
>>      validation is typically wavelength dependent. Hence, combining WA
> 743c743
> <    selected path and wavelength. If IV comes first it would need to
> ---
>>   selected path and wavelength. If IV comes first, it would need to
> 749,751c749,751
> <    In the non-impairment RWA situation [RFC6163] it was shown that a
> <    distributed wavelength assignment (WA) process carried out via
> <    signaling can eliminate the need to distribute wavelength
> ---
>>   In the non-impairment RWA situation [RFC6163], it was shown that a
>>   distributed wavelength assignment (WA) process, carried out via
>>   signaling, can eliminate the need to distribute wavelength
> 761,762c761,762
> <    characteristics of network elements and links via routing protocols
> <    or by other means. So the following conceptual options belong to this
> ---
>>   characteristics of network elements and links by routing protocols
>>   or other means. So the following conceptual options belong to this
> 779,781c779,782
> <    all wavelengths that could be used. This is somewhat windowed down as
> <    potential wavelengths are discovered to be in use, but could be a
> <    significant burden for lightly loaded high channel count networks.
> ---
>>   all wavelengths that could be used. The amount of information is redunced
>>   somewhat as potential wavelengths are discovered to be in use, but could
>>   be a significant burden for lightly loaded network with high channel
>>   counts.
> 785c786
> <    Figure 2 shows process flows for three main architectural
> ---
>>   Figure 2 shows process flows for the three main architectural
> 787c788
> <    sufficient. Figure 3 shows process flows for two main architectural
> ---
>>   sufficient. Figure 3 shows process flows for the two main architectural
> 841c842
> <    The advantages, requirements and suitability of these options are as
> ---
>>   The advantages, requirements, and suitability of these options are as
> 847c848
> <    entity enabling highest potential optimality and efficiency in IA-
> ---
>>   entity enabling the highest potential optimality and efficiency in IA-
> 870c871
> <    and RWA are very different and prone to specialization.
> ---
>>   and RWA are very different and conducive to specialization.
> 874c875
> <    In this alternative a signaling protocol may be extended and
> ---
>>   In this alternative, a signaling protocol may be extended and
> 877c878
> <    optimality of optimality as (a) or (b), it does not require
> ---
>>   optimality as (a) or (b), it does not require
> 903c904
> <    The advantages, requirements and suitability of these detailed
> ---
>>   The advantages, requirements, and suitability of these detailed
> 909,911c910,912
> <    computation entity enabling highest potential optimality and
> <    efficiency in IA-RWA; then has a separate entity performing detailed
> <    impairment validation. In the case of "black links" the authority
> ---
>>   computation entity enabling the highest potential optimality and
>>   efficiency in IA-RWA while a separate entity performs detailed
>>   impairment validation. In the case of "black links", the authority
> 925c926
> <    high degree of potential optimality and efficiency in IA-RWA; then a
> ---
>>   high degree of potential optimality and efficiency in IA-RWA while a
> 963,966c964,967
> <    As previously discussed most IA-RWA scenarios to a greater or lesser
> <    extent rely on a common impairment information model. A number of
> <    ITU-T recommendations cover detailed as well as approximate
> <    impairment characteristics of fibers and a variety of devices and
> ---
>>   As previously discussed, most IA-RWA scenarios rely, to a greater or lesser
>>   extent, on a common impairment information model. A number of
>>   ITU-T recommendations cover detailed, as well as, approximate
>>   impairment characteristics of fibers, a variety of devices, and
> 979,980c980,981
> <    the networks composed of a single WDM line system vendor combined
> <    with OADMs and/or PXCs from potentially multiple other vendors, this
> ---
>>   networks composed of a single WDM line system vendor combined
>>   with OADMs and/or PXCs from potentially multiple other vendors. This
> 982,984c983,985
> <    planed in the future that [G.680] will include networks incorporating
> <    line systems from multiple vendors as well as OADMs and/or PXCs from
> <    potentially multiple other vendors, this is known as situation 2 and
> ---
>>   planned in the future that [G.680] will include networks incorporating
>>   line systems from multiple vendors, as well as, OADMs and/or PXCs kfrom
>>   potentially from multiple other vendors. This is known as situation 2 and
> 990c991
> <    distributed IV case one needs to standardize the accumulated
> ---
>>   distributed IV case, one needs to standardize the accumulated
> 996c997
> <    and in what form for the protocol would need to be standardized for
> ---
>>   and in what form would need to be standardized for protocol
> 1005c1006
> <    Different approaches to path/wavelength impairment validation gives
> ---
>>   Different approaches to path/wavelength impairment validation give
> 1008c1009
> <    paths GMPLS routing may be used to distribute the impairment
> ---
>>   paths, GMPLS routing may be used to distribute the impairment
> 1012,1013c1013,1014
> <    Depending on the computational alternative the routing protocol may
> <    need to advertise information necessary to impairment validation
> ---
>>   Depending on the computational alternative, the routing protocol may
>>   need to advertise information necessary to the impairment validation
> 1015,1018c1016,1019
> <    high amount of data that need to be advertised. Such issue can be
> <    addressed separating data that need to be advertised rarely and data
> <    that need to be advertised more frequently or adopting other form of
> <    awareness solutions described in previous sections (e.g. centralized
> ---
>>   volume of data that needs to be advertised. Such issue can be
>>   addressed by separating data that need to be advertised rarely from data
>>   that need to be advertised more frequently or adopting the other forms of
>>   awareness solutions as described in previous sections (e.g., centralized
> 1029,1030c1030,1031
> <    In term of approximated scenario (see Section 4.1.1.) the model
> <    defined by [G.680] will apply and routing protocol will need to
> ---
>>   In term of approximated scenario (see Section 4.1.1.), the model
>>   defined by [G.680] will apply and the routing protocols will need to
> 1033c1034
> <    In the case of distributed-IV no new demands would be placed on the
> ---
>>   In the case of distributed-IV, no new demands would be placed on the
> 1054c1055
> <    In section 4.3. a number of computation architectural alternatives
> ---
>>   In section 4.3, a number of computation architectural alternatives
> 1058,1059c1059,1060
> <    cooperating PCEs, and the impacts on the PCEP protocol. This document
> <    is providing this evaluation to aid solutions work. The protocol
> ---
>>   cooperating PCEs, and the impacts on the PCEP. This document
>>   provide this evaluation to aid solutions work. The protocol
> 1085c1086
> <       wavelength. If the computations could not complete successfully it
> ---
>>      wavelength. If the computations could not complete successfully, it
> 1087,1088c1088,1089
> <       it is of interest to know if this was due to lack of wavelength
> <       availability or impairment considerations or both. The information
> ---
>>      it is of interest to know if failure was due to lack of wavelength
>>      availability, impairment considerations, or both. The information
> 1098c1099
> <    functionality can be added to one of previously defined entities.
> ---
>>   functionality could be added to one of previously defined entities.
> 1100c1101
> <    process coordinator. The roles, responsibilities and information
> ---
>>   process coordinator. The roles, responsibilities, and information
> 1107,1108c1108,1109
> <    as needed during RWA computations. In particular it needs to know to
> <    use the Candidates-PCE to obtain potential set of routes and
> ---
>>   as needed during RWA computations. In particular, it needs to know to
>>   use the Candidates-PCE to obtain the potential set of routes and
> 1130c1131
> <    computation. It needs not take into account current link wavelength
> ---
>>   computation. It need not take into account current link wavelength
> 1139,1140c1140,1141
> <    initiating PCC. (Note: RWA-Coord PCE is also a PCC with respect to
> <    the IV-Candidate)
> ---
>>   initiating PCC. Note that the RWA-Coord PCE is also a PCC with respect to
>>   the IV-Candidate.
> 1174c1175
> <                 Coordinating-PCE and the IV-Candidates-PCE.
> ---
>>                Coordinating-PCE, and the IV-Candidates-PCE.
> 1176c1177
> <    In step (a) the PCC requests a path meeting specified quality
> ---
>>   In step (a), the PCC requests a path meeting specified quality
> 1179,1181c1180,1182
> <    associated parameters. In step (b) the RWA-Coordinating-PCE requests
> <    up to K candidate paths between nodes A and Z and associated
> <    acceptable wavelengths. In step (c) The IV-Candidates PCE returns
> ---
>>   associated parameters. In step (b), the RWA-Coordinating-PCE requests
>>   up to K candidate paths and their associated acceptable wavelengths
>>   between nodes A and Z . In step (c), the IV-Candidates PCE returns
> 1183c1184
> <    paths and wavelengths as input (e.g. a constraint) to its RWA
> ---
>>   paths and wavelengths as input (e.g., a constraint) to its RWA
> 1191c1192
> <    computation. In step (d) the RWA-Coordinating PCE returns the overall
> ---
>>   computation. In step (d), the RWA-Coordinating PCE returns the overall
> 1196c1197
> <    Previously Figure 3 showed two cases where a separate detailed
> ---
>>   Previously, Figure 3 showed two cases where a separate detailed
> 1200c1201
> <    the PCC it is possible to keep the interactions with this separate
> ---
>>   the PCC, it is possible to keep the interactions with this separate
> 1211c1212
> <       will furnish signal characteristics, quality requirements, path
> ---
>>      will furnish signal characteristics, quality requirements, path,
> 1216c1217
> <       actually be met. In the case where the impairment validation fails
> ---
>>      actually be met. In the case where the impairment validation fails,
> 1218c1219
> <       quantify the failure, e.g., so a judgment can be made whether to
> ---
>>      quantify the failure, e.g., so that a judgment can be made whether to
> 1221c1222
> <    Figure 6 shows a sequence diagram for the interactions for the
> ---
>>   Figure 6 shows a sequence diagram for the interactions corresponding to the
> 1223c1224
> <    PCC, RWA-PCE (acting as coordinator), IV-Candidates-PCE and the IV-
> ---
>>   PCC, RWA-PCE (acting as coordinator), IV-Candidates-PCE, and the IV-
> 1226c1227
> <    In step (a) the PCC requests a path meeting specified quality
> ---
>>   In step (a), the PCC requests a path meeting specified quality
> 1229,1231c1230,1232
> <    associated parameters. In step (b) the RWA-Coordinating-PCE requests
> <    up to K candidate paths between nodes A and Z and associated
> <    acceptable wavelengths. In step (c) The IV-Candidates-PCE returns
> ---
>>   associated parameters. In step (b), the RWA-Coordinating-PCE requests
>>   up to K candidate paths and their associated acceptable wavelengths
>>   between nodes A and Z. In step (c), the IV-Candidates-PCE returns
> 1233,1234c1234,1235
> <    paths and wavelengths as input (e.g. a constraint) to its RWA
> <    computation. In step (d) the RWA-Coordinating-PCE request a detailed
> ---
>>   paths and wavelengths as input (e.g., a constraint) to its RWA
>>   computation. In step (d), the RWA-Coordinating-PCE requests a detailed
> 1236,1237c1237,1238
> <    (e) the IV-Detailed-PCE returns the results of the validation to the
> <    RWA-Coordinating-PCE. Finally in step (f)IA-RWA-Coordinating PCE
> ---
>>   (e), the IV-Detailed-PCE returns the results of this validation to the
>>   RWA-Coordinating-PCE. Finally in step (f), the IA-RWA-Coordinating PCE
> 1277c1278
> <    Coordinating-PCE, IV-Candidates-PCE and IV-Detailed-PCE.
> ---
>>   Coordinating-PCE, IV-Candidates-PCE, and IV-Detailed-PCE.
> 1285c1286
> <    architecture is put into use within a network it will by its nature
> ---
>>   architecture is put into use within a network, it will by its nature
> 1290c1291
> <    work will address any issues on the use of impairment information.
> ---
>>   work will address any issues on the protection of impairment information.
> 
> Thanks,
> Acee
> 
>